GNU bug report logs - #36792
[PATCH 03/11] gnu: Add r-all.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; merged with #36789, #36790, #36791, #36793, #36794, #36795, #36796, #36797, #36798, #36799, #36800; dated Wed, 24 Jul 2019 18:23:04 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2019 18:22:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 14:22:31 2019
Received: from localhost ([127.0.0.1]:37984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqLuJ-0005Lk-2V
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:36130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuC-0005Kw-Un
 for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41054)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuB-0003Hg-Pm
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuA-0007CQ-ML
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:23 -0400
Received: from mail-wr1-x42d.google.com ([2a00:1450:4864:20::42d]:46470)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1hqLuA-0007BH-GA
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:22 -0400
Received: by mail-wr1-x42d.google.com with SMTP id z1so47975081wru.13
 for <guix-patches@HIDDEN>; Wed, 24 Jul 2019 11:22:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=EBGiqIJ6MqoHCF1xFEtWHJ1TQ7cJOOpwKR35oebI/2o=;
 b=DPDpblrdhpnvpvcjT+K7QEilzzelwPmzzIBsCzwrYw1bGYRCNRU9JPE3U+zDb3pFX7
 MenSkp6C/5IJ+L/6azdKGT4Se++aiFOzef5+daafcPaGs0uJDSqKP8egdvMouhQKu/G9
 lJj+/OXKE3zK2SoLTGqCiZxPOVrTf0hKLuDipq2paItNDWij43PC2X2gSUHts+wswkBD
 cxT5mO0yGZEzltWP+3E/pRKoF8sJ/APm8NpYDmTNCNlO82XJ9jNiCcCEXAVLLnCV3qQ/
 uEoQf0ShTSKv0TsMY5s5fnYBWdC7cocQ7qQZMeFGTXZ+5AgnxPhtqJN76FqyT/VG/b2e
 36xQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=EBGiqIJ6MqoHCF1xFEtWHJ1TQ7cJOOpwKR35oebI/2o=;
 b=EXKKhcsxH8tC7jWwSIJD4BIgTevyoQB8h2vwaRgm5bt4ZPEFcdfYGu1rKauykeGEDj
 eZ3RWhn7C6bS3NZlO3QdpOzrAN+ob9kI/Bz+LwXquKRWfdzFrKw2MRHsqXIb8sJDs8tq
 OFoS4gMEakFgyRbmfxHS2IbEzmbGX8cAvJMAasaqM3BVFDi6fEf8fmoqxF38dKRDJAnw
 dx418MD+CoqEjm8lHYxVZ8+ju4RciigcT8US7ajK/578/vU5Bbl7AajjtRKaMM5diX4Y
 XZqK9o09msEMyLESymQ5x0dm0v6joO1eJrbKlCabfGeDVfZm8IiO0gm3ohi4ioHXLmB8
 Zg1w==
X-Gm-Message-State: APjAAAVwKefCmBI+4EqBMvsMG4rO1AuCysny0zYee7WdPyBKVJowxKFV
 UabghP0REqJWsSwHGIsIrNJGNA+a
X-Google-Smtp-Source: APXvYqx30FcyPS2v/zaUpi8X7US4YuGoKBjpwGy+V25kGjDlzOHRaZ7e4KntlCNReAbTHjMxRkH5Ow==
X-Received: by 2002:adf:e444:: with SMTP id t4mr84469995wrm.262.1563992541413; 
 Wed, 24 Jul 2019 11:22:21 -0700 (PDT)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id g12sm66116616wrv.9.2019.07.24.11.22.20
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 Jul 2019 11:22:20 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 03/11] gnu: Add r-all.
Date: Wed, 24 Jul 2019 20:21:56 +0200
Message-Id: <20190724182204.6818-4-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.22.0
In-Reply-To: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
References: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::42d
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/bioconductor.scm (r-all): New variable.
---
 gnu/packages/bioconductor.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/bioconductor.scm b/gnu/packages/bioconductor.scm
index e5a2d66b2d..18b5711496 100644
--- a/gnu/packages/bioconductor.scm
+++ b/gnu/packages/bioconductor.scm
@@ -865,6 +865,36 @@ which were then sequenced to a depth of ~4 million reads per library,
 resulting in a complete gene expression profile for each cell.")
     (license license:artistic2.0)))
 
+(define-public r-all
+  (package
+    (name "r-all")
+    (version "1.26.0")
+    (source (origin
+              (method url-fetch)
+              ;; We cannot use bioconductor-uri here because this tarball is
+              ;; located under "data/experiment/" instead of "bioc/".
+              (uri (string-append "https://www.bioconductor.org/packages/"
+                                  "release/data/experiment/src/contrib/"
+                                  "ALL_" version ".tar.gz"))
+              (sha256
+               (base32
+                "1z7kpjw4ndj6fkxwvhqf3gawhrn26ksrlns7j2c78qzxqmjndik9"))))
+    (properties
+      `((upstream-name . "ConsensusClusterPlus")))
+    (build-system r-build-system)
+    (propagated-inputs
+      `(("r-biobase" ,r-biobase)))
+    (home-page
+      "https://bioconductor.org/packages/ALL")
+    (synopsis "Acute Lymphoblastic Leukemia data from the Ritz laboratory")
+    (description
+      "The data consist of microarrays from 128 different individuals with
+acute lymphoblastic leukemia (ALL). A number of additional covariates are
+available. The data have been normalized (using rma) and it is the jointly
+normalized data that are available here. The data are presented in the form of
+an exprSet object.")
+    (license license:artistic2.0)))
+
 
 ;;; Packages
 
-- 
2.21.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36792; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Jul 2019 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.